#include "classicselectiongraphics.h"
#include "classicnotegraphics.h"

ClassicSelectionGraphics::ClassicSelectionGraphics(ClassicSelectionGraphics::Init&& init) :
    _fill_color(init.color),
    _shape(init.shape)
{
    _shape->setColor(init.color);
}

void ClassicSelectionGraphics::reset()
{
    _shape->setPosition(kku::Point{0, 0});
    _shape->setColor(kku::Color{51, 153, 255, 120});
}

void ClassicSelectionGraphics::display() const
{
    _shape->display();
}

void ClassicSelectionGraphics::adjustTo(const std::shared_ptr<ClassicNoteGraphics>& sprite)
{
    _shape->setRect(sprite->getRectangle()->getRect());
}
